Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/local-post-ideas/start-chat-session

Start local chat session

Starts a new AI post-idea chat session for a location. Optionally seed the session with an intent, a mode (e.g. fast), and a subject (subjectType/subjectId) to anchor the conversation to an existing idea or series.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Headers

NameTypeRequiredDescription
Synup-VersionstringrequiredAPI version date (YYYY-MM-DD).

Body

NameTypeRequiredDescription
locationIdstringrequiredRelay-encoded location ID.
intentstringoptionalConversation intent (e.g. idea).
modestringoptionalGeneration mode (e.g. fast).
subjectTypestringoptional
subjectIdstringoptional

Request

Request
curl -X POST 'https://api.synup.com/api/v4/local-post-ideas/start-chat-session' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "TG9jYXRpb246MQ==",
  "mode": "fast",
  "intent": "idea"
}'

Responses

StatusDescription
200Successful response
401Unauthorized - Invalid or missing API key
Example response (generated from the schema)
{
  "data": {
    "startLocalChatSession": {
      "success": true,
      "session": {
        "id": "string",
        "locationId": 0,
        "mode": "string",
        "status": "string",
        "messageCount": 0,
        "title": "string",
        "subjectType": "string",
        "subjectId": "string",
        "createdAt": "string",
        "updatedAt": "string"
      },
      "suggestions": [
        "string"
      ],
      "error": {
        "message": "string",
        "code": "string",
        "contextInfo": [
          {
            "key": "string",
            "value": "string"
          }
        ]
      }
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.startLocalChatSessionobjectoptional
data.startLocalChatSession.successbooleanoptional
data.startLocalChatSession.sessionobjectoptional
data.startLocalChatSession.session.idstringoptional
data.startLocalChatSession.session.locationIdintegeroptional
data.startLocalChatSession.session.modestringoptional
data.startLocalChatSession.session.statusstringoptional
data.startLocalChatSession.session.messageCountintegeroptional
data.startLocalChatSession.session.titlestringoptional
data.startLocalChatSession.session.subjectTypestringoptional
data.startLocalChatSession.session.subjectIdstringoptional
data.startLocalChatSession.session.createdAtstringoptional
data.startLocalChatSession.session.updatedAtstringoptional
data.startLocalChatSession.suggestionsarray of stringoptional
data.startLocalChatSession.errorobjectoptional
data.startLocalChatSession.error.messagestringoptional
data.startLocalChatSession.error.codestringoptional
data.startLocalChatSession.error.contextInfoarray of objectoptional
data.startLocalChatSession.error.contextInfo[].keystringoptional
data.startLocalChatSession.error.contextInfo[].valuestringoptional